Package com.arms.api.requirement.reqadd_state_pure.service

## Interface ReqAddStatePure

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `ReqAddStatePureImpl`

      public interface ReqAddStatePure
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProgressResultVO` | `calculateProgress​(ReqAddStatePureEntity reqAddStatePureEntity, java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.lang.String c_req_pdservice_versionset_link)` |
    `java.util.List<ReportReqAddVO>` | `reportReqStatus​(ReportReqAddEntity reportReqAddEntity, java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.lang.String c_req_pdservice_versionset_link)` |
    `java.util.List<ReqAddStatePureEntity>` | `reqProgress​(ReqAddStatePureEntity reqAddEntity, java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.lang.String c_req_pdservice_versionset_link)` |
    `java.util.List<WeeklyReportReqAddVO>` | `weeklyReportReqStatus​(ReqAddStatePureEntity reqAddStatePureEntity, java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.lang.String c_req_pdservice_versionset_link)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### reqProgress

          java.util.List<ReqAddStatePureEntity> reqProgress​(ReqAddStatePureEntity reqAddEntity,
                                                            java.lang.String changeReqTableName,
                                                            java.lang.Long pdServiceId,
                                                            java.lang.String c_req_pdservice_versionset_link)
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateProgress

          ProgressResultVO calculateProgress​(ReqAddStatePureEntity reqAddStatePureEntity,
                                             java.lang.String changeReqTableName,
                                             java.lang.Long pdServiceId,
                                             java.lang.String c_req_pdservice_versionset_link)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### reportReqStatus

          java.util.List<ReportReqAddVO> reportReqStatus​(ReportReqAddEntity reportReqAddEntity,
                                                         java.lang.String changeReqTableName,
                                                         java.lang.Long pdServiceId,
                                                         java.lang.String c_req_pdservice_versionset_link)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### weeklyReportReqStatus

          java.util.List<WeeklyReportReqAddVO> weeklyReportReqStatus​(ReqAddStatePureEntity reqAddStatePureEntity,
                                                                     java.lang.String changeReqTableName,
                                                                     java.lang.Long pdServiceId,
                                                                     java.lang.String c_req_pdservice_versionset_link)
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`